[X2Go-Commits] [x2gobroker] 01/01: x2gobroker-daemon wrapper: Provide some intelligence when run as daemon (killing children processes on reception of a SIGTERM, SIGINT, SIGQUIT, EXIT signal).

git-admin at x2go.org git-admin at x2go.org
Thu Apr 3 16:13:01 CEST 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository x2gobroker.

commit c79c390cd929ad470b3f02d82ff7266f6de27085
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Thu Apr 3 16:12:58 2014 +0200

    x2gobroker-daemon wrapper: Provide some intelligence when run as daemon (killing children processes on reception of a SIGTERM, SIGINT, SIGQUIT, EXIT signal).
---
 bin/x2gobroker-daemon |   10 +++++++++-
 debian/changelog      |    2 ++
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/bin/x2gobroker-daemon b/bin/x2gobroker-daemon
index 54ce585..ca15948 100755
--- a/bin/x2gobroker-daemon
+++ b/bin/x2gobroker-daemon
@@ -21,4 +21,12 @@
 # Free Software Foundation, Inc.,
 # 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
-x2gobroker -M http $@
\ No newline at end of file
+cleanup() {
+        local pids=$(jobs -pr)
+        [ -n "$pids" ] && kill $pids
+}
+trap "cleanup" INT QUIT TERM EXIT
+x2gobroker -M http $@ &
+PID=$!
+
+wait $PID
diff --git a/debian/changelog b/debian/changelog
index f6486b3..9b08c01 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -118,6 +118,8 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
       session profiles.
     - JSON webUI: run pre and post auth scripts also via this backend.
     - x2gobroker-daemon: become wrapper script, enable --mode HTTP by default.
+      Provide some intelligence when run as daemon (killing children processes
+      on reception of a SIGTERM, SIGINT, SIGQUIT, EXIT signal).
     - Rename sections for broker backends in x2gobroker.conf
     - Fix run
     - Make config object of x2gobroker.conf available in authentication mechanism

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/x2gobroker.git



More information about the x2go-commits mailing list